using System;
using Intrepid.Core.Themes;

namespace Intrepid.Gameplay.Themes
{
    [Serializable]
    public class DiegeticThemes : AbstractThemeRelated
    {
        public DiegeticThemes(Palettes palettes) : base(palettes)
        {
        }

        public SignalTheme PlatformAware => new(Palettes);
        public SignalTheme Interactable => new(Palettes);
    }
}